// Includes 

#include <avr/io.h>
#include <avr/interrupt.h>

#define F_CPU 16000000L
#include <util/delay.h>

#include "uart.h" 

// Serielle Schnittstelle

#define UART1_BAUD 9600

int main(void)
{
	// Init UART1 with 9600 for Input 

	uart_init( UART_BAUD_SELECT(UART1_BAUD, F_CPU));

	// enable interrupts 

	sei();
	_delay_ms(1000);

	// Den Versionstring ausgeben
	uart_putc('#');
	uart_putc('T');
	uart_putc('V');

	// Linefeed und Carriagereturn
	uart_putc(0xa);
	uart_putc(0xd);

	// Den Buchstaben a
	uart_putc('#');
	uart_putc('Z');
	uart_putc('T');
	uart_putc('a');

	while(1)
	{
	}
}
